//shaders added for fix
models\mapobjects\multiplant\fern
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models/mapobjects/multiplant/fern.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models\mapobjects\multiplant\palmfrond
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models/mapobjects/multiplant/palmfrond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models\mapobjects\multiplant\invisible
{
    surfaceparm alphashadow
	surfaceparm nolightmap			
        {
                map models/mapobjects/multiplant/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/ut_riyadh/riyadhsky
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/ut_riyadh/sky_white.tga
	qer_editorimage textures/ut_riyadh/sky_white.tga
	q3map_surfacelight 80
	q3map_lightsubdivide 1024
	q3map_globaltexture
	q3map_sun 0.005 0.0 0.0 25 350 20
	skyparms env/badomen512 - - 
}

//taken from q3base folder scripts shader
models/mapobjects/gratelamp/gratetorch
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }


}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }


}

models/mapobjects/gratelamp/gratelamp
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratelamp.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }


}

models/mapobjects/gratelamp/gratelamp_flare
{
	deformVertexes autoSprite

	q3map_surfacelight	300

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		Map models/mapobjects/gratelamp/gratelamp_flare.tga
		blendFunc GL_ONE GL_ONE
	}	
	
}

//original shaders
textures/ariabians/arabians-rain
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/ariabians/arabians-rain.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 -0.75
	}
}

textures/ariabians/arabiansky
{
	qer_editorimage textures/ut_riyadh/sky_white.tga
	q3map_lightimage textures/ut_riyadh/sky_white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_lightsubdivide 1024
	q3map_surfacelight 80
	q3map_globaltexture
	q3map_sun 0.00392157 0.00392157 0 25 350 20
	skyParms env/arabians/arabiansky 128 -
}

models/mapobjects/tree2/branch2
{
	cull disable
	deformVertexes wave 100 sin 0 0.2 0 0.2 
	{
		map models/mapobjects/tree2/branch2.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

// Defcon.5 Tree-mapmodel (c) GrimReaper 
// thanks to Fatmanfat for help with the shader

models/mapobjects/defcon_tree/tree
{
	cull none
	nopicmip

	{
		map models/mapobjects/defcon_tree/tree.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/defcon_tree/tree3
{
	cull none
	nopicmip

	{
		map models/mapobjects/defcon_tree/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/defcon_tree/tree4
{
	cull none
	nopicmip

	{
		map models/mapobjects/defcon_tree/tree4.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/perso/arabiansky
{
	qer_editorimage textures/ut_riyadh/sky_white.tga
	q3map_lightimage textures/ut_riyadh/sky_white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_lightsubdivide 512
	q3map_surfacelight 200
	q3map_globaltexture
	q3map_sun 0.690196 0.690196 0 20 350 20
	skyParms env/arabians/arabiansky 128 -
}

textures/perso/METAL19
{
	qer_editorimage textures/perso/METAL19.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/perso/METAL19.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//******************************************************//
//	Phase 2 cleanup					//
//	perso/light5_5k				//
//	obsolete or inactive keywords commented out:	//
//	light 1						//
//******************************************************//
textures/perso/light5_5k
{
	qer_editorimage textures/perso/light5.tga
	q3map_lightimage textures/perso/xlight5.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/perso/xlight5.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/perso/xlight5.blend.tga
		blendfunc add
	}
}

//****************************************//
// Female statue-mapmodel (c) SirkeDesign //
//****************************************//
models/mapobjects/female/female
{
	cull disable
	{
		map models/mapobjects/female/A_female.tga
		blendfunc add
		tcMod scroll 0 0.3
		tcGen environment 
	}
}

textures/urban_lights/lightbulb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/urban_lights/lightbulb.tga
		blendFunc Add
		rgbGen identity
	}


}

textures/vehiclepak/lightflare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/vehiclepak/lightflare.jpg
            blendFunc GL_ONE GL_ONE
          }
}

textures/vehiclepak/lighted_logo
{
	qer_editorimage textures/vehiclepak/lighted_logo.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/vehiclepak/lighted_logo.tga
		rgbGen identity
	}
}

textures/invis/invisglass01
{
	qer_editorimage textures/invis/invisglass.tga
	qer_trans 0.5
	surfaceparm trans

	{
		map textures/invis/invisalpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/islandplants/tree01
{
	cull disable
	surfaceparm trans
	deformVertexes autosprite
	{
        map textures/islandplants/tree01.tga
        blendFunc BLEND
	rgbGen vertex

        }
	{
	map $lightmap
	rgbGen identity
	depthFunc equal
	}
}

textures/islandplants/tree02
{
	cull disable
	surfaceparm trans

	{
        map textures/islandplants/tree02.tga
        blendFunc BLEND
	rgbGen vertex

        }
	{
	map $lightmap
	rgbGen identity
	depthFunc equal
	}
}
textures/islandplants/plant01
//A large bushy grass
{
    cull disable
    surfaceparm alphashadow
    deformVertexes autoSprite
    surfaceparm trans	
        {
        map textures/islandplants/plant01.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/islandplants/plant02
//A tall fern
{
    cull disable
    surfaceparm alphashadow
    deformVertexes autoSprite2
    surfaceparm trans	
        {
        map textures/islandplants/plant02.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}
textures/islandplants/plant03
//A tall grass border
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
        map textures/islandplants/plant03.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/islandplants/plant04
//A square-shaped fern
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
    deformVertexes autoSprite
        
	{
        map textures/islandplants/plant04.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/islandplants/plant05
//Flowers with slanted blocks on bottom
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        
	{
        map textures/islandplants/plant05.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}
textures/islandplants/hedge
//Flowers on top of a block wall
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
        map textures/islandplants/hedge.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/islandplants/leaf
//Good for lilypads
{
    cull disable
    surfaceparm alphashadow
//  deformVertexes autoSprite
    surfaceparm trans	
        {
        map textures/islandplants/leaf.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}